info:
  name: Metabase SQL Server Driver
  version: 1.1.0-SNAPSHOT-9.2.1.jre8
  description: Allows Metabase to connect to SQL Server databases.
driver:
  name: sqlserver
  display-name: SQL Server
  lazy-load: true
  parent: sql-jdbc
  connection-properties:
    - host
    - merge:
        - port
        - description: Leave empty to use Dynamic Ports, or input specific port. Standard port is 1433.
    - merge:
        - dbname
        - name: db
          placeholder: BirdsOfTheWorld
    - name: instance
      display-name: Database instance name
      placeholder: N/A
    - user
    - password
    - cloud-ip-address-info
    - ssl
    - name: rowcount-override
      display-name: ROWCOUNT Override
      placeholder: 0
      required: false
    - ssh-tunnel
    - advanced-options-start
    - merge:
        - additional-options
        - placeholder: "trustServerCertificate=false"
    - default-advanced-options
init:
  - step: load-namespace
    namespace: metabase.driver.sqlserver
  - step: register-jdbc-driver
    class: com.microsoft.sqlserver.jdbc.SQLServerDriver
